> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Coins Categories List with Market Data

> To query all the coins categories with market data (market cap, volume, etc.) on CoinGecko

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* To get coins within a specific category, use [Coins List with Market Data](/demo/reference/coins-markets) with the `category` parameter.
* Equivalent page on [CoinGecko Categories](https://www.coingecko.com/en/categories).

<CacheInfo rate="5 minutes" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.coins.categories.get();

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.coins.categories.get()

  print(response)
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /coins/categories
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /coins/categories:
    get:
      summary: Coins Categories List with Market Data
      description: >-
        To query all the coins categories with market data (market cap, volume,
        etc.) on CoinGecko
      operationId: coins-categories
      parameters:
        - name: order
          in: query
          required: false
          description: |-
            Sort results by field. 
            Default: `market_cap_desc`
          schema:
            type: string
            enum:
              - market_cap_desc
              - market_cap_asc
              - name_desc
              - name_asc
              - market_cap_change_24h_desc
              - market_cap_change_24h_asc
      responses:
        '200':
          description: List of coin categories with market data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Categories'
              example:
                - id: smart-contract-platform
                  name: Smart Contract Platform
                  market_cap: 2176528015490.1301
                  market_cap_change_24h: -0.4907335508040635
                  content: >-
                    Smart contract platforms are usually blockchains that host
                    smart contracts or decentralized applications.
                  top_3_coins_id:
                    - bitcoin
                    - ethereum
                    - binancecoin
                  top_3_coins:
                    - >-
                      https://coin-images.coingecko.com/coins/images/1/small/bitcoin.png
                    - >-
                      https://coin-images.coingecko.com/coins/images/279/small/ethereum.png
                    - >-
                      https://coin-images.coingecko.com/coins/images/825/small/bnb-icon2_2x.png
                  volume_24h: 45616943988.58024
                  updated_at: '2026-05-26T10:02:24.777Z'
                - id: layer-1
                  name: Layer 1 (L1)
                  market_cap: 2152576804747.1516
                  market_cap_change_24h: -0.538526079299288
                  content: >-
                    Layer 1 serves as the primary and autonomous chain on which
                    transactions are directly executed and confirmed.
                  top_3_coins_id:
                    - bitcoin
                    - ethereum
                    - binancecoin
                  top_3_coins:
                    - >-
                      https://coin-images.coingecko.com/coins/images/1/small/bitcoin.png
                    - >-
                      https://coin-images.coingecko.com/coins/images/279/small/ethereum.png
                    - >-
                      https://coin-images.coingecko.com/coins/images/825/small/bnb-icon2_2x.png
                  volume_24h: 44289945362.19749
                  updated_at: '2026-05-26T10:01:55.213Z'
components:
  schemas:
    Categories:
      type: array
      items:
        type: object
        required:
          - id
          - name
          - market_cap
          - market_cap_change_24h
          - content
          - top_3_coins_id
          - top_3_coins
          - volume_24h
          - updated_at
        properties:
          id:
            type: string
            description: Category ID
          name:
            type: string
            description: Category name
          market_cap:
            type: number
            description: Category market cap
          market_cap_change_24h:
            type: number
            description: Category market cap change in 24 hours
          content:
            type: string
            description: Category description
          top_3_coins_id:
            type: array
            description: IDs of top 3 coins in the category
            items:
              type: string
          top_3_coins:
            type: array
            description: Image URLs of top 3 coins in the category
            items:
              type: string
          volume_24h:
            type: number
            description: Category trading volume in 24 hours
          updated_at:
            type: string
            description: Category last updated timestamp
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````